# Update Project Settings

## Description

Update a project's settings

## Request URL

_Prodege Base URL +_/project-settings-update

## Request Method

POST

## Request Parameters

| Parameter Name                                          | Parameter Type | Description                                                                                                                                                                   | Required? |
|--------------------------------------------------------|----------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------|
| apik                                                   | String         | Your API Key.                                                                                                                                                               | Yes       |
| request_date                                          | Numeric        | Timestamp in milliseconds (see [Authentication](https://developer.prodege.com/demand/authentication)).                                                                        | Yes       |
| signature                                             | String         | The signature of your request (see [Authentication](https://developer.prodege.com/demand/authentication)).                                                                    | Yes       |
| prodege_project_id                                    | Numeric        | The ID that uniquely identifies the project in the Prodege system.                                                                                                           | Yes       |
| enable_max_clicks                                     | Boolean        | Whether or not max click logic is enforced. Either “true” or “false”, false by default.                                                                                    | No        |
| enable_max_clicks_allowed_clicks                     | Numeric        | If max click logic is enforced, the number of clicks that will be allowed before pausing project traffic.                                                                    | No        |
| enable_max_clicks_max_click_rate_id                  | Numeric        | If max click logic is enforced, this sets the refill rate ID for clicks. Possible values: 0 - Default 1 - Every 30 minutes 2 - Every hour 3 - Every 24 hrs.                 | No        |
| enable_project_participation                          | Boolean        | Enable inclusions or exclusions by project. Either “true” or “false”, false by default.                                                                                     | No        |
| participation_ids                                     | Array          | If inclusions or exclusions are enabled, a comma-separated list of prodege_project_ids for specific projects to include or exclude. Project and group inclusions/exclusions may be used separately or together. | No        |
| group_participation_ids                               | Array          | If inclusions or exclusions are enabled, a comma-separated list of group_ids for groups whose projects should be included or excluded. Project and group inclusions/exclusions may be used separately or together. | No        |
| participation_status                                   | Numeric        | The types of transactions for the included/excluded prodege_project_ids that you would like to include in the inclusion/exclusion. Possible values are 1 for click, 2 for complete, 4 for DQ, 8 for OQ (bit values that can be added together). | No        |
| participation_filter_type                              | Numeric        | The filter type, either inclusion or exclusion. Set to 1 for inclusion (default if not specified) or 2 for exclusion.                                                        | No        |
| cookie_dedup                                          | Boolean        | Block repeat entries by cookie. Set to either “true” or “false”.                                                                                                           | No        |
| limit_panelists                                       | JSON           | Allow only specific panelists to enter survey. See [JSON Examples](https://developer.prodege.com/demand/appendix/json-examples).                                             | No        |

## Response Parameters

| Parameter Name                                         | Parameter Type | Description                                                                                         |
|-------------------------------------------------------|----------------|-----------------------------------------------------------------------------------------------------|
| _return_status_                                      | String         | The return status for this API call                                                                 |
| prodege_project_id                                    | Numeric        | The id that uniquely identifies this project                                                        |

### _limit panelists Model_

| Property Name                                          | Property Type   | Description                                                                                             |
|-------------------------------------------------------|-----------------|---------------------------------------------------------------------------------------------------------|
| limit_by                                             | String          | The type of the limit_ids. Possible values: panelist_id or transaction_id                              |
| limit_ids                                           | Array           | The list of panelist or transaction IDs to limit for targeting                                         |
| filter_type                                          | Numeric         | Possible values: 1 to include (default if not specified) or 2 to exclude                               |

[PreviousUpdate CPI](https://developer.prodege.com/demand/api-reference/project-calls/update-cpi) [NextGet Project Settings](https://developer.prodege.com/demand/api-reference/project-calls/get-project-settings)

_Last updated 20 days ago_
